<?php

namespace Drupal\module_missing_message_fixer\Commands;

use Drush\Commands\DrushCommands;
use Drupal\module_missing_message_fixer\ModuleMissingMessageFixer;
use Consolidation\OutputFormatters\StructuredData\RowsOfFields;

/**
 * Class MmmfListCommand
 *
 * @package Drupal\module_missing_message_fixer
 */
class MmmfListCommand extends DrushCommands {

  /**
   * Returns a list of modules that have missing messages.
   *
   * @command module-missing-message-fixer:list
   *
   * @usage drush module-missing-message-fixer:list
   *   Returns a list of modules that have missing messages.
   *
   * @aliases mmmfl
   *
   * @field-labels
   *   name: Name
   *   type: Type
   */
  public function listCommand() {
    $rows = ModuleMissingMessageFixer::getTableRows();
    if (count($rows) > 0) {
      $table[] = ModuleMissingMessageFixer::getTableHeader();
      foreach ($rows as $row) {
        $table[] = $row;
      }
      return new RowsOfFields($table);
    }
    return 'No Missing Modules Found!!!';
  }

}